BasePluginConvention (Gradle API 2.9)
Date: 2015-11-17

Package: org.gradle.api.plugins

## [Groovy] Class BasePluginConvention

- org.gradle.api.plugins.BasePluginConvention

- - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `String` | `archivesBaseName` The base name to use for archive files.
    `String` | `distsDirName` The name for the distributions directory.
    `String` | `libsDirName` The name for the libs directory.
    `org.gradle.api.internal.project.ProjectInternal` | `project`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `BasePluginConvention (Project project)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `File` | `getDistsDir()` Returns the directory to generate TAR and ZIP archives into.
    `File` | `getLibsDir()` Returns the directory to generate JAR and WAR archives into.

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Property Detail

    - #### String archivesBaseName

      The base name to use for archive files.

    - #### String distsDirName

      The name for the distributions directory. This in interpreted relative to the project' build directory.

    - #### String libsDirName

      The name for the libs directory. This in interpreted relative to the project' build directory.

    - #### org.gradle.api.internal.project.ProjectInternal project

  - ### Constructor Detail

    - #### BasePluginConvention(Project project)

  - ### Method Detail

    - #### File getDistsDir()

      Returns the directory to generate TAR and ZIP archives into.

      Returns:
        The directory. Never returns null.

    - #### File getLibsDir()

      Returns the directory to generate JAR and WAR archives into.

      Returns:
        The directory. Never returns null.